;**************************************************************
;* lib_joystick.h	Joystick Definitions header
;*
;* Copyright (C) 2015,2016	Paul Daniels
;*
;* This program is free software: you can redistribute it and/
;* or modify it under the terms of the GNU General Public
;* License as published by the Free Software Foundation, either
;* version 3 of the License, or (at your option) any later
;* version.
;*
;* This program is distributed in the hope that it will be
;* useful, but WITHOUT ANY WARRANTY; without even the implied
;* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;* PURPOSE.  See the GNU General Public License for more
;* details.
;*
;* You should have received a copy of the GNU General Public
;* License along with this program. If not, see
;* <http://www.gnu.org/licenses/>.
;**************************************************************

		.IFNDEF LIB_JOYSTICK_H

		.EQU LIB_JOYSTICK_H	1

		.EQU JOY_SENSE	$05
		.EQU JOY_RDLSB	$05
		.EQU JOY_RDMSB	$06

		.EQU JOY_FIRE	$01
		.EQU JOY_LEFT	$02
		.EQU JOY_RIGHT	$04
		.EQU JOY_UP	$08
		.EQU JOY_DOWN	$10

		.EQU JOY_BITFIRE	0
		.EQU JOY_BITLEFT	1
		.EQU JOY_BITRIGHT	2
		.EQU JOY_BITUP		3
		.EQU JOY_BITDOWN	4

; Name:		JOY_INIT
; Function:	Initialise joystick routines.
; On Entry:	None
; On Exit:	None
; Destroys:	A

		.ENDIF
