;**************************************************************
;* lib_stdlib.h	Standard definitions Header
;*
;* Copyright (C) 2015,2016	Paul Daniels
;*
;* This program is free software: you can redistribute it and/
;* or modify it under the terms of the GNU General Public
;* License as published by the Free Software Foundation, either
;* version 3 of the License, or (at your option) any later
;* version.
;*
;* This program is distributed in the hope that it will be
;* useful, but WITHOUT ANY WARRANTY; without even the implied
;* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;* PURPOSE.  See the GNU General Public License for more
;* details.
;*
;* You should have received a copy of the GNU General Public
;* License along with this program. If not, see
;* <http://www.gnu.org/licenses/>.
;**************************************************************

		.IFNDEF LIB_STDLIB_H

		.EQU LIB_STDLIB_H	1

; Name:		RND_CMWC
; Function:	Generate an 8-bit number using CMWC.
; On Entry:	None
; On Exit:	A = Random number
; Destroys:	HL, BC, DE

; Name:		DE_HL
; Function:	Implements "LD DE, (HL)".
; On Entry:	HL = memory pointer
; On Exit:	DE = word at memory pointer
; Destroys:	None

; Name:		HL_DE
; Function:	Implements "LD (HL), DE".
; On Entry:	HL = memory pointer, DE = value
; On Exit:	None
; Destroys:	None

		.ENDIF
